
QGIS Application - Bug report #21548

Error on install: qgis_customwidgets.py in both python3-qgis and python3-qgis-common

2019-03-10 11:43 PM - Kory Roberts

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:3.7(master) Regression?: No

Operating System: Linux Mint 19.1 Cinnamon Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 29364

Description

The following NEW packages will be installed:

  python3-qgis python3-qgis-common

0 upgraded, 2 newly installed, 0 to remove and 187 not upgraded.

31 not fully installed or removed.

Need to get 0 B/28.1 MB of archives.

After this operation, 144 MB of additional disk space will be used.

Setting up libcom-err2:amd64 (1.44.1-1ubuntu1.1) ...

(Reading database ... 350709 files and directories currently installed.)

Preparing to unpack .../python3-qgis-common_1%3a3.7.0+git20190308+97ba60e+28bionic_all.deb ...

Unpacking python3-qgis-common (1:3.7.0+git20190308+97ba60e+28bionic) ...

dpkg: error processing archive /var/cache/apt/archives/python3-qgis-common_1%3a3.7.0+git20190308+97ba60e+28bionic_all.deb

(--unpack):

 trying to overwrite '/usr/lib/python3/dist-packages/PyQt5/uic/widget-plugins/qgis_customwidgets.py', which is also in package

python-qgis-common 1:3.7.0+git20190223+a965231+28bionic

dpkg-deb: error: paste subprocess was killed by signal (Broken pipe)

Preparing to unpack .../python3-qgis_1%3a3.7.0+git20190308+97ba60e+28bionic_amd64.deb ...

Unpacking python3-qgis (1:3.7.0+git20190308+97ba60e+28bionic) ...

dpkg: error processing archive /var/cache/apt/archives/python3-qgis_1%3a3.7.0+git20190308+97ba60e+28bionic_amd64.deb

(--unpack):

 trying to overwrite '/usr/lib/python3/dist-packages/qgis/3d/__init__.py', which is also in package python-qgis

1:3.7.0+git20190223+a965231+28bionic

dpkg-deb: error: paste subprocess was killed by signal (Broken pipe)

Errors were encountered while processing:

 /var/cache/apt/archives/python3-qgis-common_1%3a3.7.0+git20190308+97ba60e+28bionic_all.deb

 /var/cache/apt/archives/python3-qgis_1%3a3.7.0+git20190308+97ba60e+28bionic_amd64.deb

Associated revisions

Revision 41e0c012 - 2019-03-18 09:43 PM - Jürgen Fischer

debian packaging: update python package break/replaces (fixes #20894)

History

#1 - 2019-03-10 11:43 PM - Kory Roberts

Looks similar to bug #20894.
#2 - 2019-03-10 11:57 PM - Kory Roberts

- Status changed from Open to Closed

W̶o̶r̶k̶i̶n̶g̶ ̶n̶o̶w̶.̶ ̶ ̶N̶o̶t̶ ̶s̶u̶r̶e̶ ̶w̶h̶y̶,̶ ̶b̶u̶t̶ ̶i̶n̶s̶t̶a̶l̶l̶e̶d̶ ̶a̶ ̶f̶e̶w̶ ̶o̶t̶h̶e̶r̶ ̶u̶p̶g̶r̶a̶d̶e̶a̶b̶l̶e̶ ̶p̶r̶o̶g̶r̶a̶m̶s̶ ̶f̶i̶r̶s̶t̶,̶ ̶t̶h̶e̶n̶ ̶Q̶G̶I̶S̶ ̶l̶a̶s̶t̶ ̶a̶n̶d̶ ̶i̶t̶ ̶w̶o̶r̶k̶e̶d̶.̶

#3 - 2019-03-11 12:05 AM - Kory Roberts

- Status changed from Closed to Reopened

Never mind on previous status, still the same error.

#4 - 2019-03-11 10:30 AM - Giovanni Manghi

- Regression? changed from Yes to No

- Status changed from Reopened to Open

#5 - 2019-03-18 09:49 PM - Jürgen Fischer

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Deinstall python-qgis / python-qgis-common

2025-04-26 2/2


